GET
https://api.hyperleapai.com/conversations/user/{externalUserId}Get all the conversations for the caller and a specific external user, 10 at a time.
Authenticated with your API key in the x-hl-api-key request header.
Path parameters
externalUserIdstringrequiredQuery parameters
continuationTokenstringoptionalResponses
200OK
application/jsonChatEntryResponse[]nullable
conversationIdstring · uuidaiSystemstringnullablemodelstringnullablepersonaIdstring · uuidnullablepersonaVersionIdstring · uuidnullableconversationStatusstringnullableconversationNamestringnullableHyperleapChatMessageResponse[]nullable
chatMessagesCountinteger · int32nullablechatStartedbooleannullableareChatMessagesInBlobbooleannullablechatMessagesBlobUristringnullableobjectnullable
objectnullable
externalUserIdstringnullableisActivebooleanisDeletedbooleanpromptTokensinteger · int32nullablecompletionTokensinteger · int32nullabletotalTokensinteger · int32nullablecontinuationTokenstringnullableExample payload
{
"data": [
{
"conversationId": "string",
"aiSystem": "string",
"model": "string",
"personaId": "string",
"personaVersionId": "string",
"conversationStatus": "string",
"conversationName": "string",
"chatMessages": [
{
"role": null,
"content": null,
"toolCallId": null,
"name": null,
"feedbacks": null
}
],
"chatMessagesCount": 0,
"chatStarted": true,
"areChatMessagesInBlob": true,
"chatMessagesBlobUri": "string",
"configuration": {
"key": "string"
},
"metadata": {
"key": {}
},
"externalUserId": "string",
"isActive": true,
"isDeleted": true,
"promptTokens": 0,
"completionTokens": 0,
"totalTokens": 0
}
],
"continuationToken": "string"
}{
"data": [
{
"conversationId": "string",
"aiSystem": "string",
"model": "string",
"personaId": "string",
"personaVersionId": "string",
"conversationStatus": "string",
"conversationName": "string",
"chatMessages": [
{
"role": null,
"content": null,
"toolCallId": null,
"name": null,
"feedbacks": null
}
],
"chatMessagesCount": 0,
"chatStarted": true,
"areChatMessagesInBlob": true,
"chatMessagesBlobUri": "string",
"configuration": {
"key": "string"
},
"metadata": {
"key": {}
},
"externalUserId": "string",
"isActive": true,
"isDeleted": true,
"promptTokens": 0,
"completionTokens": 0,
"totalTokens": 0
}
],
"continuationToken": "string"
}400Bad Request
application/jsonArray of ModelError
Exception
MethodBase
messageanytruncateddataanytruncatedinnerExceptionanytruncatedhelpLinkanytruncatedsourceanytruncatedhResultanytruncatedstackTraceanytruncatederrorMessageanytruncatedExample payload
[
{
"exception": {
"targetSite": {
"memberType": 1,
"name": "string",
"declaringType": {
"name": null,
"customAttributes": null,
"namespace": null,
"assemblyQualifiedName": null,
"fullName": null
}
}
}
}
][
{
"exception": {
"targetSite": {
"memberType": 1,
"name": "string",
"declaringType": {
"name": null,
"customAttributes": null,
"namespace": null,
"assemblyQualifiedName": null,
"fullName": null
}
}
}
}
]500Internal Server Error
No response body.
curl -X GET "https://api.hyperleapai.com/conversations/user/{externalUserId}" \
-H "x-hl-api-key: YOUR_API_KEY"curl -X GET "https://api.hyperleapai.com/conversations/user/{externalUserId}" \
-H "x-hl-api-key: YOUR_API_KEY"Example response · 200
{
"data": [
{
"conversationId": "string",
"aiSystem": "string",
"model": "string",
"personaId": "string",
"personaVersionId": "string",
"conversationStatus": "string",
"conversationName": "string",
"chatMessages": [
{
"role": null,
"content": null,
"toolCallId": null,
"name": null,
"feedbacks": null
}
],
"chatMessagesCount": 0,
"chatStarted": true,
"areChatMessagesInBlob": true,
"chatMessagesBlobUri": "string",
"configuration": {
"key": "string"
},
"metadata": {
"key": {}
},
"externalUserId": "string",
"isActive": true,
"isDeleted": true,
"promptTokens": 0,
"completionTokens": 0,
"totalTokens": 0
}
],
"continuationToken": "string"
}{
"data": [
{
"conversationId": "string",
"aiSystem": "string",
"model": "string",
"personaId": "string",
"personaVersionId": "string",
"conversationStatus": "string",
"conversationName": "string",
"chatMessages": [
{
"role": null,
"content": null,
"toolCallId": null,
"name": null,
"feedbacks": null
}
],
"chatMessagesCount": 0,
"chatStarted": true,
"areChatMessagesInBlob": true,
"chatMessagesBlobUri": "string",
"configuration": {
"key": "string"
},
"metadata": {
"key": {}
},
"externalUserId": "string",
"isActive": true,
"isDeleted": true,
"promptTokens": 0,
"completionTokens": 0,
"totalTokens": 0
}
],
"continuationToken": "string"
}